Package io.dapr.v1

# Class DaprAppCallbackProtos.TopicEventCERequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>
io.dapr.v1.DaprAppCallbackProtos.TopicEventCERequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprAppCallbackProtos.TopicEventCERequest

public static final class DaprAppCallbackProtos.TopicEventCERequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder> implements DaprAppCallbackProtos.TopicEventCERequestOrBuilder

     TopicEventCERequest message is compatible with CloudEvent spec v1.0

Protobuf type `dapr.proto.runtime.v1.TopicEventCERequest`

## Method Summary

Modifier and Type
Method
Description
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.TopicEventCERequest`
`build()`
`DaprAppCallbackProtos.TopicEventCERequest`
`buildPartial()`
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`clear()`
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`clearData()`
The content of the event.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`clearDataContentType()`
The content type of data value.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`clearExtensions()`
Custom attributes which includes cloud event extensions.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`clearId()`
The unique identifier of this cloud event.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`clearSource()`
source identifies the context in which an event happened.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`clearSpecVersion()`
The version of the CloudEvents specification.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`clearType()`
The type of event related to the originating occurrence.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`clone()`
`com.google.protobuf.ByteString`
`getData()`
The content of the event.
`String`
`getDataContentType()`
The content type of data value.
`com.google.protobuf.ByteString`
`getDataContentTypeBytes()`
The content type of data value.
`DaprAppCallbackProtos.TopicEventCERequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`com.google.protobuf.Struct`
`getExtensions()`
Custom attributes which includes cloud event extensions.
`com.google.protobuf.Struct.Builder`
`getExtensionsBuilder()`
Custom attributes which includes cloud event extensions.
`com.google.protobuf.StructOrBuilder`
`getExtensionsOrBuilder()`
Custom attributes which includes cloud event extensions.
`String`
`getId()`
The unique identifier of this cloud event.
`com.google.protobuf.ByteString`
`getIdBytes()`
The unique identifier of this cloud event.
`String`
`getSource()`
source identifies the context in which an event happened.
`com.google.protobuf.ByteString`
`getSourceBytes()`
source identifies the context in which an event happened.
`String`
`getSpecVersion()`
The version of the CloudEvents specification.
`com.google.protobuf.ByteString`
`getSpecVersionBytes()`
The version of the CloudEvents specification.
`String`
`getType()`
The type of event related to the originating occurrence.
`com.google.protobuf.ByteString`
`getTypeBytes()`
The type of event related to the originating occurrence.
`boolean`
`hasExtensions()`
Custom attributes which includes cloud event extensions.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`mergeExtensions(com.google.protobuf.Struct value)`
Custom attributes which includes cloud event extensions.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`mergeFrom(DaprAppCallbackProtos.TopicEventCERequest other)`
`final DaprAppCallbackProtos.TopicEventCERequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setData(com.google.protobuf.ByteString value)`
The content of the event.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setDataContentType(String value)`
The content type of data value.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setDataContentTypeBytes(com.google.protobuf.ByteString value)`
The content type of data value.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setExtensions(com.google.protobuf.Struct value)`
Custom attributes which includes cloud event extensions.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setExtensions(com.google.protobuf.Struct.Builder builderForValue)`
Custom attributes which includes cloud event extensions.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setId(String value)`
The unique identifier of this cloud event.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setIdBytes(com.google.protobuf.ByteString value)`
The unique identifier of this cloud event.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setSource(String value)`
source identifies the context in which an event happened.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setSourceBytes(com.google.protobuf.ByteString value)`
source identifies the context in which an event happened.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setSpecVersion(String value)`
The version of the CloudEvents specification.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setSpecVersionBytes(com.google.protobuf.ByteString value)`
The version of the CloudEvents specification.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setType(String value)`
The type of event related to the originating occurrence.
`DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setTypeBytes(com.google.protobuf.ByteString value)`
The type of event related to the originating occurrence.
`final DaprAppCallbackProtos.TopicEventCERequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### clear

public DaprAppCallbackProtos.TopicEventCERequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### getDefaultInstanceForType

public DaprAppCallbackProtos.TopicEventCERequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprAppCallbackProtos.TopicEventCERequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprAppCallbackProtos.TopicEventCERequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprAppCallbackProtos.TopicEventCERequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### setField

public DaprAppCallbackProtos.TopicEventCERequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### clearField

public DaprAppCallbackProtos.TopicEventCERequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### clearOneof

public DaprAppCallbackProtos.TopicEventCERequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### setRepeatedField

public DaprAppCallbackProtos.TopicEventCERequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### addRepeatedField

public DaprAppCallbackProtos.TopicEventCERequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicEventCERequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicEventCERequest.Builder mergeFrom(DaprAppCallbackProtos.TopicEventCERequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicEventCERequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`
Throws:
  `IOException`

### getId

public String getId()

     The unique identifier of this cloud event.

`string id = 1;`

Specified by:
  `getId` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The id.

### getIdBytes

public com.google.protobuf.ByteString getIdBytes()

     The unique identifier of this cloud event.

`string id = 1;`

Specified by:
  `getIdBytes` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The bytes for id.

### setId

public DaprAppCallbackProtos.TopicEventCERequest.Builder setId(String value)

     The unique identifier of this cloud event.

`string id = 1;`

Parameters:
  `value` - The id to set.
Returns:
  This builder for chaining.

### clearId

public DaprAppCallbackProtos.TopicEventCERequest.Builder clearId()

     The unique identifier of this cloud event.

`string id = 1;`

Returns:
  This builder for chaining.

### setIdBytes

public DaprAppCallbackProtos.TopicEventCERequest.Builder setIdBytes(com.google.protobuf.ByteString value)

     The unique identifier of this cloud event.

`string id = 1;`

Parameters:
  `value` - The bytes for id to set.
Returns:
  This builder for chaining.

### getSource

public String getSource()

     source identifies the context in which an event happened.

`string source = 2;`

Specified by:
  `getSource` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The source.

### getSourceBytes

public com.google.protobuf.ByteString getSourceBytes()

     source identifies the context in which an event happened.

`string source = 2;`

Specified by:
  `getSourceBytes` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The bytes for source.

### setSource

public DaprAppCallbackProtos.TopicEventCERequest.Builder setSource(String value)

     source identifies the context in which an event happened.

`string source = 2;`

Parameters:
  `value` - The source to set.
Returns:
  This builder for chaining.

### clearSource

public DaprAppCallbackProtos.TopicEventCERequest.Builder clearSource()

     source identifies the context in which an event happened.

`string source = 2;`

Returns:
  This builder for chaining.

### setSourceBytes

public DaprAppCallbackProtos.TopicEventCERequest.Builder setSourceBytes(com.google.protobuf.ByteString value)

     source identifies the context in which an event happened.

`string source = 2;`

Parameters:
  `value` - The bytes for source to set.
Returns:
  This builder for chaining.

### getType

public String getType()

     The type of event related to the originating occurrence.

`string type = 3;`

Specified by:
  `getType` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The type.

### getTypeBytes

public com.google.protobuf.ByteString getTypeBytes()

     The type of event related to the originating occurrence.

`string type = 3;`

Specified by:
  `getTypeBytes` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The bytes for type.

### setType

public DaprAppCallbackProtos.TopicEventCERequest.Builder setType(String value)

     The type of event related to the originating occurrence.

`string type = 3;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### clearType

public DaprAppCallbackProtos.TopicEventCERequest.Builder clearType()

     The type of event related to the originating occurrence.

`string type = 3;`

Returns:
  This builder for chaining.

### setTypeBytes

public DaprAppCallbackProtos.TopicEventCERequest.Builder setTypeBytes(com.google.protobuf.ByteString value)

     The type of event related to the originating occurrence.

`string type = 3;`

Parameters:
  `value` - The bytes for type to set.
Returns:
  This builder for chaining.

### getSpecVersion

public String getSpecVersion()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Specified by:
  `getSpecVersion` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The specVersion.

### getSpecVersionBytes

public com.google.protobuf.ByteString getSpecVersionBytes()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Specified by:
  `getSpecVersionBytes` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The bytes for specVersion.

### setSpecVersion

public DaprAppCallbackProtos.TopicEventCERequest.Builder setSpecVersion(String value)

     The version of the CloudEvents specification.

`string spec_version = 4;`

Parameters:
  `value` - The specVersion to set.
Returns:
  This builder for chaining.

### clearSpecVersion

public DaprAppCallbackProtos.TopicEventCERequest.Builder clearSpecVersion()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Returns:
  This builder for chaining.

### setSpecVersionBytes

public DaprAppCallbackProtos.TopicEventCERequest.Builder setSpecVersionBytes(com.google.protobuf.ByteString value)

     The version of the CloudEvents specification.

`string spec_version = 4;`

Parameters:
  `value` - The bytes for specVersion to set.
Returns:
  This builder for chaining.

### getDataContentType

public String getDataContentType()

     The content type of data value.

`string data_content_type = 5;`

Specified by:
  `getDataContentType` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The dataContentType.

### getDataContentTypeBytes

public com.google.protobuf.ByteString getDataContentTypeBytes()

     The content type of data value.

`string data_content_type = 5;`

Specified by:
  `getDataContentTypeBytes` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The bytes for dataContentType.

### setDataContentType

public DaprAppCallbackProtos.TopicEventCERequest.Builder setDataContentType(String value)

     The content type of data value.

`string data_content_type = 5;`

Parameters:
  `value` - The dataContentType to set.
Returns:
  This builder for chaining.

### clearDataContentType

public DaprAppCallbackProtos.TopicEventCERequest.Builder clearDataContentType()

     The content type of data value.

`string data_content_type = 5;`

Returns:
  This builder for chaining.

### setDataContentTypeBytes

public DaprAppCallbackProtos.TopicEventCERequest.Builder setDataContentTypeBytes(com.google.protobuf.ByteString value)

     The content type of data value.

`string data_content_type = 5;`

Parameters:
  `value` - The bytes for dataContentType to set.
Returns:
  This builder for chaining.

### getData

public com.google.protobuf.ByteString getData()

     The content of the event.

`bytes data = 6;`

Specified by:
  `getData` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The data.

### setData

public DaprAppCallbackProtos.TopicEventCERequest.Builder setData(com.google.protobuf.ByteString value)

     The content of the event.

`bytes data = 6;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

### clearData

public DaprAppCallbackProtos.TopicEventCERequest.Builder clearData()

     The content of the event.

`bytes data = 6;`

Returns:
  This builder for chaining.

### hasExtensions

public boolean hasExtensions()

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

Specified by:
  `hasExtensions` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  Whether the extensions field is set.

### getExtensions

public com.google.protobuf.Struct getExtensions()

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

Specified by:
  `getExtensions` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The extensions.

### setExtensions

public DaprAppCallbackProtos.TopicEventCERequest.Builder setExtensions(com.google.protobuf.Struct value)

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

### setExtensions

public DaprAppCallbackProtos.TopicEventCERequest.Builder setExtensions(com.google.protobuf.Struct.Builder builderForValue)

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

### mergeExtensions

public DaprAppCallbackProtos.TopicEventCERequest.Builder mergeExtensions(com.google.protobuf.Struct value)

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

### clearExtensions

public DaprAppCallbackProtos.TopicEventCERequest.Builder clearExtensions()

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

### getExtensionsBuilder

public com.google.protobuf.Struct.Builder getExtensionsBuilder()

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

### getExtensionsOrBuilder

public com.google.protobuf.StructOrBuilder getExtensionsOrBuilder()

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

Specified by:
  `getExtensionsOrBuilder` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`

### setUnknownFields

public final DaprAppCallbackProtos.TopicEventCERequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`

### mergeUnknownFields

public final DaprAppCallbackProtos.TopicEventCERequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventCERequest.Builder>`